aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--skype/t/irssi/skype-msg.test4
-rwxr-xr-xskype/t/livetest-bitlbee.sh25
2 files changed, 27 insertions, 2 deletions
diff --git a/skype/t/irssi/skype-msg.test b/skype/t/irssi/skype-msg.test
index d1d21e68..d35615cd 100644
--- a/skype/t/irssi/skype-msg.test
+++ b/skype/t/irssi/skype-msg.test
@@ -8,6 +8,10 @@ TESTPASSWORD="$TEST_SKYPE_PASSWORD"
/expectbee 'Account successfully created' -command 'msg $$C account add skype @LOGIN@ @PASSWORD@'
/expectbee 'Account successfully added' -command 'msg $$C account 0 set test_join true'
/expectbee 'test_join' -command 'msg $$C account 0 on'
+# use builtin test service
+/expectjoin echo123 -command 'msg $$C echo123: ping, say pong'
+/expectbee 'pong' -command 'quit Test Passed'
+# use a public bot as well, just in case the above one would fail
/expectjoin echo123 -command 'msg $$C add skype pam_bot'
/expectjoin pam_bot -command 'msg $$C pam_bot: pambot help'
/expectbee 'PamBot, thanks for chatting with me' -command 'quit Test Passed'
diff --git a/skype/t/livetest-bitlbee.sh b/skype/t/livetest-bitlbee.sh
index 162dfb8f..8aa048ff 100755
--- a/skype/t/livetest-bitlbee.sh
+++ b/skype/t/livetest-bitlbee.sh
@@ -1,4 +1,21 @@
#!/usr/bin/env bash
+
+start_skyped()
+{
+ python ../skyped.py "$@" > skypedtest.pid
+ while true
+ do
+ [ -e skypedtest.pid ] || break
+ pid=$(sed 's/.*: //' skypedtest.pid)
+ if [ -e /proc/$pid ]; then
+ sleep 5
+ else
+ start_skyped "$@"
+ break
+ fi
+ done
+}
+
BITLBEE=$1
typeset -ix PORT=`echo $2 | egrep '^[0-9]{1,5}$'`
SCRIPT=$3
@@ -45,7 +62,7 @@ if [ -z "$TUNNELED_MODE" ]; then
echo "port = 2727" >> skyped.conf
# Run skyped
- python ../skyped.py -c skyped.conf -l skypedtest.log > skypedtest.pid
+ start_skyped -c skyped.conf -l skypedtest.log &
sleep 2
fi
@@ -67,7 +84,11 @@ if [ -z "$TUNNELED_MODE" ]; then
# skyped runs on another host: no means to kill it
# Kill skyped
killall -TERM skype
- kill -TERM $(sed 's/.*: //' skypedtest.pid)
+ if [ -f skypedtest.pid ]; then
+ pid=$(sed 's/.*: //' skypedtest.pid)
+ rm skypedtest.pid
+ [ -e /proc/$pid ] && kill -TERM $pid
+ fi
fi
if [ "$TUNNELED_MODE" = "yes" ]; then